Bug 141809 - Traceback when viewing VGs of type pool
Traceback when viewing VGs of type pool
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-lvm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Jim Parsons
Depends On:
  Show dependency treegraph
Reported: 2004-12-03 16:16 EST by Derek Anderson
Modified: 2009-04-16 19:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-11 15:36:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2004-12-03 16:16:37 EST
Description of problem:
I don't know if this will ever be seen in practice.  I have a GFS 6.0
pool label on one of my devices.  When it is viewed with the GUI I get
this traceback:

Traceback (most recent call last):
  File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 327, in
    vg_data = self.model_factory.get_data_for_VG(vg_name)
  File "/usr/share/system-config-lvm/lvm_model.py", line 538, in
    words = lines[0].split(",")
IndexError: list index out of range

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a GFS 6.0 pool on one of your devices
2. View it with system-config-lvm
Actual results:

Expected results:
Not sure.  Maybe if the format is not LVM2 the VG should be left out
of the GUI, since it cannot be manipulated.

Additional info:

Here's an example of how pool types and lvm2 types are displayed:
[root@link-12 root]# vgdisplay
  --- Volume group ---
  VG Name               VeeGee1
  System ID
  Format                lvm2
  Metadata Areas        1
  Metadata Sequence No  1
  VG Access             read/write
  VG Status             resizable
  MAX LV                256
  Cur LV                0
  Open LV               0
  Max PV                256
  Cur PV                1
  Act PV                1
  VG Size               45.21 GB
  PE Size               4.00 MB
  Total PE              11575
  Alloc PE / Size       0 / 0
  Free  PE / Size       11575 / 45.21 GB
  VG UUID               CBf62x-cJg3-Ratb-b6Vt-hBsO-z0A2-YKRUYJ

  --- Volume group ---
  VG Name               stripe_concat
  System ID             (null)
  Format                pool
  VG Access             read/write
  VG Status             NOT resizable
  Clustered             yes
  Shared                yes
  MAX LV                1
  Cur LV                1
  Open LV               0
  Max PV                128
  Cur PV                4
  Act PV                4
  VG Size               180.88 GB
  PE Size               8.00 KB
  Total PE              23707910
  Alloc PE / Size       23707910 / 180.88 GB
  Free  PE / Size       0 / 0
  VG UUID               POOL00-0000-000d-j5IZ-q0C4-SA00-000000
Comment 1 Stanko Kupcevic 2006-02-03 15:53:53 EST
A lot has changed in s-c-lvm since 2004.

Could you verify that problem still exists?

Note You need to log in before you can comment on or make changes to this bug.